
/*
     ______     __                     ___     __
    /\  _  \   /\ \                   /\_ \   /\_\
    \ \ \_\ \  \ \ \      __     ___  \//\ \  \/_/_
     \ \  __ \ `/__ \   /'__`\  / __`\  \ \ \   /\ \
      \ \ \/\ \/\\_\ \_/\ \_\ \/\ \_\ \_ \_\ \_ \_\ \_
       \ \_\ \_\ \_____\ \___\ \ \______\/\____\/\____\
        \/_/\/_/\/_____/\/___L\ \/______/\/____/\/____/
                          /\____/
                          \_/__/




                  An advanced game library

                 (c) Stephane APIOU 2003


    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA



*/
#include "agl_private.h"

agl_xpmcolors agl_xpmcol[] = {
	{"snow", AGL_VALRGBA2LONG(255, 250, 250, 255)}
	,
	{"ghost white", AGL_VALRGBA2LONG(248, 248, 255, 255)}
	,
	{"GhostWhite", AGL_VALRGBA2LONG(248, 248, 255, 255)}
	,
	{"white smoke", AGL_VALRGBA2LONG(245, 245, 245, 255)}
	,
	{"WhiteSmoke", AGL_VALRGBA2LONG(245, 245, 245, 255)}
	,
	{"gainsboro", AGL_VALRGBA2LONG(220, 220, 220, 255)}
	,
	{"floral white", AGL_VALRGBA2LONG(255, 250, 240, 255)}
	,
	{"FloralWhite", AGL_VALRGBA2LONG(255, 250, 240, 255)}
	,
	{"old lace", AGL_VALRGBA2LONG(253, 245, 230, 255)}
	,
	{"OldLace", AGL_VALRGBA2LONG(253, 245, 230, 255)}
	,
	{"linen", AGL_VALRGBA2LONG(250, 240, 230, 255)}
	,
	{"antique white", AGL_VALRGBA2LONG(250, 235, 215, 255)}
	,
	{"AntiqueWhite", AGL_VALRGBA2LONG(250, 235, 215, 255)}
	,
	{"papaya whip", AGL_VALRGBA2LONG(255, 239, 213, 255)}
	,
	{"PapayaWhip", AGL_VALRGBA2LONG(255, 239, 213, 255)}
	,
	{"blanched almond", AGL_VALRGBA2LONG(255, 235, 205, 255)}
	,
	{"BlanchedAlmond", AGL_VALRGBA2LONG(255, 235, 205, 255)}
	,
	{"bisque", AGL_VALRGBA2LONG(255, 228, 196, 255)}
	,
	{"peach puff", AGL_VALRGBA2LONG(255, 218, 185, 255)}
	,
	{"PeachPuff", AGL_VALRGBA2LONG(255, 218, 185, 255)}
	,
	{"navajo white", AGL_VALRGBA2LONG(255, 222, 173, 255)}
	,
	{"NavajoWhite", AGL_VALRGBA2LONG(255, 222, 173, 255)}
	,
	{"moccasin", AGL_VALRGBA2LONG(255, 228, 181, 255)}
	,
	{"cornsilk", AGL_VALRGBA2LONG(255, 248, 220, 255)}
	,
	{"ivory", AGL_VALRGBA2LONG(255, 255, 240, 255)}
	,
	{"lemon chiffon", AGL_VALRGBA2LONG(255, 250, 205, 255)}
	,
	{"LemonChiffon", AGL_VALRGBA2LONG(255, 250, 205, 255)}
	,
	{"seashell", AGL_VALRGBA2LONG(255, 245, 238, 255)}
	,
	{"honeydew", AGL_VALRGBA2LONG(240, 255, 240, 255)}
	,
	{"mint cream", AGL_VALRGBA2LONG(245, 255, 250, 255)}
	,
	{"MintCream", AGL_VALRGBA2LONG(245, 255, 250, 255)}
	,
	{"azure", AGL_VALRGBA2LONG(240, 255, 255, 255)}
	,
	{"alice blue", AGL_VALRGBA2LONG(240, 248, 255, 255)}
	,
	{"AliceBlue", AGL_VALRGBA2LONG(240, 248, 255, 255)}
	,
	{"lavender", AGL_VALRGBA2LONG(230, 230, 250, 255)}
	,
	{"lavender blush", AGL_VALRGBA2LONG(255, 240, 245, 255)}
	,
	{"LavenderBlush", AGL_VALRGBA2LONG(255, 240, 245, 255)}
	,
	{"misty rose", AGL_VALRGBA2LONG(255, 228, 225, 255)}
	,
	{"MistyRose", AGL_VALRGBA2LONG(255, 228, 225, 255)}
	,
	{"white", AGL_VALRGBA2LONG(255, 255, 255, 255)}
	,
	{"black", AGL_VALRGBA2LONG(0, 0, 0, 255)}
	,
	{"dark slate gray", AGL_VALRGBA2LONG(47, 79, 79, 255)}
	,
	{"DarkSlateGray", AGL_VALRGBA2LONG(47, 79, 79, 255)}
	,
	{"dark slate grey", AGL_VALRGBA2LONG(47, 79, 79, 255)}
	,
	{"DarkSlateGrey", AGL_VALRGBA2LONG(47, 79, 79, 255)}
	,
	{"dim gray", AGL_VALRGBA2LONG(105, 105, 105, 255)}
	,
	{"DimGray", AGL_VALRGBA2LONG(105, 105, 105, 255)}
	,
	{"dim grey", AGL_VALRGBA2LONG(105, 105, 105, 255)}
	,
	{"DimGrey", AGL_VALRGBA2LONG(105, 105, 105, 255)}
	,
	{"slate gray", AGL_VALRGBA2LONG(112, 128, 144, 255)}
	,
	{"SlateGray", AGL_VALRGBA2LONG(112, 128, 144, 255)}
	,
	{"slate grey", AGL_VALRGBA2LONG(112, 128, 144, 255)}
	,
	{"SlateGrey", AGL_VALRGBA2LONG(112, 128, 144, 255)}
	,
	{"light slate gray", AGL_VALRGBA2LONG(119, 136, 153, 255)}
	,
	{"LightSlateGray", AGL_VALRGBA2LONG(119, 136, 153, 255)}
	,
	{"light slate grey", AGL_VALRGBA2LONG(119, 136, 153, 255)}
	,
	{"LightSlateGrey", AGL_VALRGBA2LONG(119, 136, 153, 255)}
	,
	{"gray", AGL_VALRGBA2LONG(190, 190, 190, 255)}
	,
	{"grey", AGL_VALRGBA2LONG(190, 190, 190, 255)}
	,
	{"light grey", AGL_VALRGBA2LONG(211, 211, 211, 255)}
	,
	{"LightGrey", AGL_VALRGBA2LONG(211, 211, 211, 255)}
	,
	{"light gray", AGL_VALRGBA2LONG(211, 211, 211, 255)}
	,
	{"LightGray", AGL_VALRGBA2LONG(211, 211, 211, 255)}
	,
	{"midnight blue", AGL_VALRGBA2LONG(25, 25, 112, 255)}
	,
	{"MidnightBlue", AGL_VALRGBA2LONG(25, 25, 112, 255)}
	,
	{"navy", AGL_VALRGBA2LONG(0, 0, 128, 255)}
	,
	{"navy blue", AGL_VALRGBA2LONG(0, 0, 128, 255)}
	,
	{"NavyBlue", AGL_VALRGBA2LONG(0, 0, 128, 255)}
	,
	{"cornflower blue", AGL_VALRGBA2LONG(100, 149, 237, 255)}
	,
	{"CornflowerBlue", AGL_VALRGBA2LONG(100, 149, 237, 255)}
	,
	{"dark slate blue", AGL_VALRGBA2LONG(72, 61, 139, 255)}
	,
	{"DarkSlateBlue", AGL_VALRGBA2LONG(72, 61, 139, 255)}
	,
	{"slate blue", AGL_VALRGBA2LONG(106, 90, 205, 255)}
	,
	{"SlateBlue", AGL_VALRGBA2LONG(106, 90, 205, 255)}
	,
	{"medium slate blue", AGL_VALRGBA2LONG(123, 104, 238, 255)}
	,
	{"MediumSlateBlue", AGL_VALRGBA2LONG(123, 104, 238, 255)}
	,
	{"light slate blue", AGL_VALRGBA2LONG(132, 112, 255, 255)}
	,
	{"LightSlateBlue", AGL_VALRGBA2LONG(132, 112, 255, 255)}
	,
	{"medium blue", AGL_VALRGBA2LONG(0, 0, 205, 255)}
	,
	{"MediumBlue", AGL_VALRGBA2LONG(0, 0, 205, 255)}
	,
	{"royal blue", AGL_VALRGBA2LONG(65, 105, 225, 255)}
	,
	{"RoyalBlue", AGL_VALRGBA2LONG(65, 105, 225, 255)}
	,
	{"blue", AGL_VALRGBA2LONG(0, 0, 255, 255)}
	,
	{"dodger blue", AGL_VALRGBA2LONG(30, 144, 255, 255)}
	,
	{"DodgerBlue", AGL_VALRGBA2LONG(30, 144, 255, 255)}
	,
	{"deep sky blue", AGL_VALRGBA2LONG(0, 191, 255, 255)}
	,
	{"DeepSkyBlue", AGL_VALRGBA2LONG(0, 191, 255, 255)}
	,
	{"sky blue", AGL_VALRGBA2LONG(135, 206, 235, 255)}
	,
	{"SkyBlue", AGL_VALRGBA2LONG(135, 206, 235, 255)}
	,
	{"light sky blue", AGL_VALRGBA2LONG(135, 206, 250, 255)}
	,
	{"LightSkyBlue", AGL_VALRGBA2LONG(135, 206, 250, 255)}
	,
	{"steel blue", AGL_VALRGBA2LONG(70, 130, 180, 255)}
	,
	{"SteelBlue", AGL_VALRGBA2LONG(70, 130, 180, 255)}
	,
	{"light steel blue", AGL_VALRGBA2LONG(176, 196, 222, 255)}
	,
	{"LightSteelBlue", AGL_VALRGBA2LONG(176, 196, 222, 255)}
	,
	{"light blue", AGL_VALRGBA2LONG(173, 216, 230, 255)}
	,
	{"LightBlue", AGL_VALRGBA2LONG(173, 216, 230, 255)}
	,
	{"powder blue", AGL_VALRGBA2LONG(176, 224, 230, 255)}
	,
	{"PowderBlue", AGL_VALRGBA2LONG(176, 224, 230, 255)}
	,
	{"pale turquoise", AGL_VALRGBA2LONG(175, 238, 238, 255)}
	,
	{"PaleTurquoise", AGL_VALRGBA2LONG(175, 238, 238, 255)}
	,
	{"dark turquoise", AGL_VALRGBA2LONG(0, 206, 209, 255)}
	,
	{"DarkTurquoise", AGL_VALRGBA2LONG(0, 206, 209, 255)}
	,
	{"medium turquoise", AGL_VALRGBA2LONG(72, 209, 204, 255)}
	,
	{"MediumTurquoise", AGL_VALRGBA2LONG(72, 209, 204, 255)}
	,
	{"turquoise", AGL_VALRGBA2LONG(64, 224, 208, 255)}
	,
	{"cyan", AGL_VALRGBA2LONG(0, 255, 255, 255)}
	,
	{"light cyan", AGL_VALRGBA2LONG(224, 255, 255, 255)}
	,
	{"LightCyan", AGL_VALRGBA2LONG(224, 255, 255, 255)}
	,
	{"cadet blue", AGL_VALRGBA2LONG(95, 158, 160, 255)}
	,
	{"CadetBlue", AGL_VALRGBA2LONG(95, 158, 160, 255)}
	,
	{"medium aquamarine", AGL_VALRGBA2LONG(102, 205, 170, 255)}
	,
	{"MediumAquamarine", AGL_VALRGBA2LONG(102, 205, 170, 255)}
	,
	{"aquamarine", AGL_VALRGBA2LONG(127, 255, 212, 255)}
	,
	{"dark green", AGL_VALRGBA2LONG(0, 100, 0, 255)}
	,
	{"DarkGreen", AGL_VALRGBA2LONG(0, 100, 0, 255)}
	,
	{"dark olive green", AGL_VALRGBA2LONG(85, 107, 47, 255)}
	,
	{"DarkOliveGreen", AGL_VALRGBA2LONG(85, 107, 47, 255)}
	,
	{"dark sea green", AGL_VALRGBA2LONG(143, 188, 143, 255)}
	,
	{"DarkSeaGreen", AGL_VALRGBA2LONG(143, 188, 143, 255)}
	,
	{"sea green", AGL_VALRGBA2LONG(46, 139, 87, 255)}
	,
	{"SeaGreen", AGL_VALRGBA2LONG(46, 139, 87, 255)}
	,
	{"medium sea green", AGL_VALRGBA2LONG(60, 179, 113, 255)}
	,
	{"MediumSeaGreen", AGL_VALRGBA2LONG(60, 179, 113, 255)}
	,
	{"light sea green", AGL_VALRGBA2LONG(32, 178, 170, 255)}
	,
	{"LightSeaGreen", AGL_VALRGBA2LONG(32, 178, 170, 255)}
	,
	{"pale green", AGL_VALRGBA2LONG(152, 251, 152, 255)}
	,
	{"PaleGreen", AGL_VALRGBA2LONG(152, 251, 152, 255)}
	,
	{"spring green", AGL_VALRGBA2LONG(0, 255, 127, 255)}
	,
	{"SpringGreen", AGL_VALRGBA2LONG(0, 255, 127, 255)}
	,
	{"lawn green", AGL_VALRGBA2LONG(124, 252, 0, 255)}
	,
	{"LawnGreen", AGL_VALRGBA2LONG(124, 252, 0, 255)}
	,
	{"green", AGL_VALRGBA2LONG(0, 255, 0, 255)}
	,
	{"chartreuse", AGL_VALRGBA2LONG(127, 255, 0, 255)}
	,
	{"medium spring green", AGL_VALRGBA2LONG(0, 250, 154, 255)}
	,
	{"MediumSpringGreen", AGL_VALRGBA2LONG(0, 250, 154, 255)}
	,
	{"green yellow", AGL_VALRGBA2LONG(173, 255, 47, 255)}
	,
	{"GreenYellow", AGL_VALRGBA2LONG(173, 255, 47, 255)}
	,
	{"lime green", AGL_VALRGBA2LONG(50, 205, 50, 255)}
	,
	{"LimeGreen", AGL_VALRGBA2LONG(50, 205, 50, 255)}
	,
	{"yellow green", AGL_VALRGBA2LONG(154, 205, 50, 255)}
	,
	{"YellowGreen", AGL_VALRGBA2LONG(154, 205, 50, 255)}
	,
	{"forest green", AGL_VALRGBA2LONG(34, 139, 34, 255)}
	,
	{"ForestGreen", AGL_VALRGBA2LONG(34, 139, 34, 255)}
	,
	{"olive drab", AGL_VALRGBA2LONG(107, 142, 35, 255)}
	,
	{"OliveDrab", AGL_VALRGBA2LONG(107, 142, 35, 255)}
	,
	{"dark khaki", AGL_VALRGBA2LONG(189, 183, 107, 255)}
	,
	{"DarkKhaki", AGL_VALRGBA2LONG(189, 183, 107, 255)}
	,
	{"khaki", AGL_VALRGBA2LONG(240, 230, 140, 255)}
	,
	{"pale goldenrod", AGL_VALRGBA2LONG(238, 232, 170, 255)}
	,
	{"PaleGoldenrod", AGL_VALRGBA2LONG(238, 232, 170, 255)}
	,
	{"light goldenrod yellow", AGL_VALRGBA2LONG(250, 250, 210, 255)}
	,
	{"LightGoldenrodYellow", AGL_VALRGBA2LONG(250, 250, 210, 255)}
	,
	{"light yellow", AGL_VALRGBA2LONG(255, 255, 224, 255)}
	,
	{"LightYellow", AGL_VALRGBA2LONG(255, 255, 224, 255)}
	,
	{"yellow", AGL_VALRGBA2LONG(255, 255, 0, 255)}
	,
	{"gold", AGL_VALRGBA2LONG(255, 215, 0, 255)}
	,
	{"light goldenrod", AGL_VALRGBA2LONG(238, 221, 130, 255)}
	,
	{"LightGoldenrod", AGL_VALRGBA2LONG(238, 221, 130, 255)}
	,
	{"goldenrod", AGL_VALRGBA2LONG(218, 165, 32, 255)}
	,
	{"dark goldenrod", AGL_VALRGBA2LONG(184, 134, 11, 255)}
	,
	{"DarkGoldenrod", AGL_VALRGBA2LONG(184, 134, 11, 255)}
	,
	{"rosy brown", AGL_VALRGBA2LONG(188, 143, 143, 255)}
	,
	{"RosyBrown", AGL_VALRGBA2LONG(188, 143, 143, 255)}
	,
	{"indian red", AGL_VALRGBA2LONG(205, 92, 92, 255)}
	,
	{"IndianRed", AGL_VALRGBA2LONG(205, 92, 92, 255)}
	,
	{"saddle brown", AGL_VALRGBA2LONG(139, 69, 19, 255)}
	,
	{"SaddleBrown", AGL_VALRGBA2LONG(139, 69, 19, 255)}
	,
	{"sienna", AGL_VALRGBA2LONG(160, 82, 45, 255)}
	,
	{"peru", AGL_VALRGBA2LONG(205, 133, 63, 255)}
	,
	{"burlywood", AGL_VALRGBA2LONG(222, 184, 135, 255)}
	,
	{"beige", AGL_VALRGBA2LONG(245, 245, 220, 255)}
	,
	{"wheat", AGL_VALRGBA2LONG(245, 222, 179, 255)}
	,
	{"sandy brown", AGL_VALRGBA2LONG(244, 164, 96, 255)}
	,
	{"SandyBrown", AGL_VALRGBA2LONG(244, 164, 96, 255)}
	,
	{"tan", AGL_VALRGBA2LONG(210, 180, 140, 255)}
	,
	{"chocolate", AGL_VALRGBA2LONG(210, 105, 30, 255)}
	,
	{"firebrick", AGL_VALRGBA2LONG(178, 34, 34, 255)}
	,
	{"brown", AGL_VALRGBA2LONG(165, 42, 42, 255)}
	,
	{"dark salmon", AGL_VALRGBA2LONG(233, 150, 122, 255)}
	,
	{"DarkSalmon", AGL_VALRGBA2LONG(233, 150, 122, 255)}
	,
	{"salmon", AGL_VALRGBA2LONG(250, 128, 114, 255)}
	,
	{"light salmon", AGL_VALRGBA2LONG(255, 160, 122, 255)}
	,
	{"LightSalmon", AGL_VALRGBA2LONG(255, 160, 122, 255)}
	,
	{"orange", AGL_VALRGBA2LONG(255, 165, 0, 255)}
	,
	{"dark orange", AGL_VALRGBA2LONG(255, 140, 0, 255)}
	,
	{"DarkOrange", AGL_VALRGBA2LONG(255, 140, 0, 255)}
	,
	{"coral", AGL_VALRGBA2LONG(255, 127, 80, 255)}
	,
	{"light coral", AGL_VALRGBA2LONG(240, 128, 128, 255)}
	,
	{"LightCoral", AGL_VALRGBA2LONG(240, 128, 128, 255)}
	,
	{"tomato", AGL_VALRGBA2LONG(255, 99, 71, 255)}
	,
	{"orange red", AGL_VALRGBA2LONG(255, 69, 0, 255)}
	,
	{"OrangeRed", AGL_VALRGBA2LONG(255, 69, 0, 255)}
	,
	{"red", AGL_VALRGBA2LONG(255, 0, 0, 255)}
	,
	{"hot pink", AGL_VALRGBA2LONG(255, 105, 180, 255)}
	,
	{"HotPink", AGL_VALRGBA2LONG(255, 105, 180, 255)}
	,
	{"deep pink", AGL_VALRGBA2LONG(255, 20, 147, 255)}
	,
	{"DeepPink", AGL_VALRGBA2LONG(255, 20, 147, 255)}
	,
	{"pink", AGL_VALRGBA2LONG(255, 192, 203, 255)}
	,
	{"light pink", AGL_VALRGBA2LONG(255, 182, 193, 255)}
	,
	{"LightPink", AGL_VALRGBA2LONG(255, 182, 193, 255)}
	,
	{"pale violet red", AGL_VALRGBA2LONG(219, 112, 147, 255)}
	,
	{"PaleVioletRed", AGL_VALRGBA2LONG(219, 112, 147, 255)}
	,
	{"maroon", AGL_VALRGBA2LONG(176, 48, 96, 255)}
	,
	{"medium violet red", AGL_VALRGBA2LONG(199, 21, 133, 255)}
	,
	{"MediumVioletRed", AGL_VALRGBA2LONG(199, 21, 133, 255)}
	,
	{"violet red", AGL_VALRGBA2LONG(208, 32, 144, 255)}
	,
	{"VioletRed", AGL_VALRGBA2LONG(208, 32, 144, 255)}
	,
	{"magenta", AGL_VALRGBA2LONG(255, 0, 255, 255)}
	,
	{"violet", AGL_VALRGBA2LONG(238, 130, 238, 255)}
	,
	{"plum", AGL_VALRGBA2LONG(221, 160, 221, 255)}
	,
	{"orchid", AGL_VALRGBA2LONG(218, 112, 214, 255)}
	,
	{"medium orchid", AGL_VALRGBA2LONG(186, 85, 211, 255)}
	,
	{"MediumOrchid", AGL_VALRGBA2LONG(186, 85, 211, 255)}
	,
	{"dark orchid", AGL_VALRGBA2LONG(153, 50, 204, 255)}
	,
	{"DarkOrchid", AGL_VALRGBA2LONG(153, 50, 204, 255)}
	,
	{"dark violet", AGL_VALRGBA2LONG(148, 0, 211, 255)}
	,
	{"DarkViolet", AGL_VALRGBA2LONG(148, 0, 211, 255)}
	,
	{"blue violet", AGL_VALRGBA2LONG(138, 43, 226, 255)}
	,
	{"BlueViolet", AGL_VALRGBA2LONG(138, 43, 226, 255)}
	,
	{"purple", AGL_VALRGBA2LONG(160, 32, 240, 255)}
	,
	{"medium purple", AGL_VALRGBA2LONG(147, 112, 219, 255)}
	,
	{"MediumPurple", AGL_VALRGBA2LONG(147, 112, 219, 255)}
	,
	{"thistle", AGL_VALRGBA2LONG(216, 191, 216, 255)}
	,
	{"snow1", AGL_VALRGBA2LONG(255, 250, 250, 255)}
	,
	{"snow2", AGL_VALRGBA2LONG(238, 233, 233, 255)}
	,
	{"snow3", AGL_VALRGBA2LONG(205, 201, 201, 255)}
	,
	{"snow4", AGL_VALRGBA2LONG(139, 137, 137, 255)}
	,
	{"seashell1", AGL_VALRGBA2LONG(255, 245, 238, 255)}
	,
	{"seashell2", AGL_VALRGBA2LONG(238, 229, 222, 255)}
	,
	{"seashell3", AGL_VALRGBA2LONG(205, 197, 191, 255)}
	,
	{"seashell4", AGL_VALRGBA2LONG(139, 134, 130, 255)}
	,
	{"AntiqueWhite1", AGL_VALRGBA2LONG(255, 239, 219, 255)}
	,
	{"AntiqueWhite2", AGL_VALRGBA2LONG(238, 223, 204, 255)}
	,
	{"AntiqueWhite3", AGL_VALRGBA2LONG(205, 192, 176, 255)}
	,
	{"AntiqueWhite4", AGL_VALRGBA2LONG(139, 131, 120, 255)}
	,
	{"bisque1", AGL_VALRGBA2LONG(255, 228, 196, 255)}
	,
	{"bisque2", AGL_VALRGBA2LONG(238, 213, 183, 255)}
	,
	{"bisque3", AGL_VALRGBA2LONG(205, 183, 158, 255)}
	,
	{"bisque4", AGL_VALRGBA2LONG(139, 125, 107, 255)}
	,
	{"PeachPuff1", AGL_VALRGBA2LONG(255, 218, 185, 255)}
	,
	{"PeachPuff2", AGL_VALRGBA2LONG(238, 203, 173, 255)}
	,
	{"PeachPuff3", AGL_VALRGBA2LONG(205, 175, 149, 255)}
	,
	{"PeachPuff4", AGL_VALRGBA2LONG(139, 119, 101, 255)}
	,
	{"NavajoWhite1", AGL_VALRGBA2LONG(255, 222, 173, 255)}
	,
	{"NavajoWhite2", AGL_VALRGBA2LONG(238, 207, 161, 255)}
	,
	{"NavajoWhite3", AGL_VALRGBA2LONG(205, 179, 139, 255)}
	,
	{"NavajoWhite4", AGL_VALRGBA2LONG(139, 121, 94, 255)}
	,
	{"LemonChiffon1", AGL_VALRGBA2LONG(255, 250, 205, 255)}
	,
	{"LemonChiffon2", AGL_VALRGBA2LONG(238, 233, 191, 255)}
	,
	{"LemonChiffon3", AGL_VALRGBA2LONG(205, 201, 165, 255)}
	,
	{"LemonChiffon4", AGL_VALRGBA2LONG(139, 137, 112, 255)}
	,
	{"cornsilk1", AGL_VALRGBA2LONG(255, 248, 220, 255)}
	,
	{"cornsilk2", AGL_VALRGBA2LONG(238, 232, 205, 255)}
	,
	{"cornsilk3", AGL_VALRGBA2LONG(205, 200, 177, 255)}
	,
	{"cornsilk4", AGL_VALRGBA2LONG(139, 136, 120, 255)}
	,
	{"ivory1", AGL_VALRGBA2LONG(255, 255, 240, 255)}
	,
	{"ivory2", AGL_VALRGBA2LONG(238, 238, 224, 255)}
	,
	{"ivory3", AGL_VALRGBA2LONG(205, 205, 193, 255)}
	,
	{"ivory4", AGL_VALRGBA2LONG(139, 139, 131, 255)}
	,
	{"honeydew1", AGL_VALRGBA2LONG(240, 255, 240, 255)}
	,
	{"honeydew2", AGL_VALRGBA2LONG(224, 238, 224, 255)}
	,
	{"honeydew3", AGL_VALRGBA2LONG(193, 205, 193, 255)}
	,
	{"honeydew4", AGL_VALRGBA2LONG(131, 139, 131, 255)}
	,
	{"LavenderBlush1", AGL_VALRGBA2LONG(255, 240, 245, 255)}
	,
	{"LavenderBlush2", AGL_VALRGBA2LONG(238, 224, 229, 255)}
	,
	{"LavenderBlush3", AGL_VALRGBA2LONG(205, 193, 197, 255)}
	,
	{"LavenderBlush4", AGL_VALRGBA2LONG(139, 131, 134, 255)}
	,
	{"MistyRose1", AGL_VALRGBA2LONG(255, 228, 225, 255)}
	,
	{"MistyRose2", AGL_VALRGBA2LONG(238, 213, 210, 255)}
	,
	{"MistyRose3", AGL_VALRGBA2LONG(205, 183, 181, 255)}
	,
	{"MistyRose4", AGL_VALRGBA2LONG(139, 125, 123, 255)}
	,
	{"azure1", AGL_VALRGBA2LONG(240, 255, 255, 255)}
	,
	{"azure2", AGL_VALRGBA2LONG(224, 238, 238, 255)}
	,
	{"azure3", AGL_VALRGBA2LONG(193, 205, 205, 255)}
	,
	{"azure4", AGL_VALRGBA2LONG(131, 139, 139, 255)}
	,
	{"SlateBlue1", AGL_VALRGBA2LONG(131, 111, 255, 255)}
	,
	{"SlateBlue2", AGL_VALRGBA2LONG(122, 103, 238, 255)}
	,
	{"SlateBlue3", AGL_VALRGBA2LONG(105, 89, 205, 255)}
	,
	{"SlateBlue4", AGL_VALRGBA2LONG(71, 60, 139, 255)}
	,
	{"RoyalBlue1", AGL_VALRGBA2LONG(72, 118, 255, 255)}
	,
	{"RoyalBlue2", AGL_VALRGBA2LONG(67, 110, 238, 255)}
	,
	{"RoyalBlue3", AGL_VALRGBA2LONG(58, 95, 205, 255)}
	,
	{"RoyalBlue4", AGL_VALRGBA2LONG(39, 64, 139, 255)}
	,
	{"blue1", AGL_VALRGBA2LONG(0, 0, 255, 255)}
	,
	{"blue2", AGL_VALRGBA2LONG(0, 0, 238, 255)}
	,
	{"blue3", AGL_VALRGBA2LONG(0, 0, 205, 255)}
	,
	{"blue4", AGL_VALRGBA2LONG(0, 0, 139, 255)}
	,
	{"DodgerBlue1", AGL_VALRGBA2LONG(30, 144, 255, 255)}
	,
	{"DodgerBlue2", AGL_VALRGBA2LONG(28, 134, 238, 255)}
	,
	{"DodgerBlue3", AGL_VALRGBA2LONG(24, 116, 205, 255)}
	,
	{"DodgerBlue4", AGL_VALRGBA2LONG(16, 78, 139, 255)}
	,
	{"SteelBlue1", AGL_VALRGBA2LONG(99, 184, 255, 255)}
	,
	{"SteelBlue2", AGL_VALRGBA2LONG(92, 172, 238, 255)}
	,
	{"SteelBlue3", AGL_VALRGBA2LONG(79, 148, 205, 255)}
	,
	{"SteelBlue4", AGL_VALRGBA2LONG(54, 100, 139, 255)}
	,
	{"DeepSkyBlue1", AGL_VALRGBA2LONG(0, 191, 255, 255)}
	,
	{"DeepSkyBlue2", AGL_VALRGBA2LONG(0, 178, 238, 255)}
	,
	{"DeepSkyBlue3", AGL_VALRGBA2LONG(0, 154, 205, 255)}
	,
	{"DeepSkyBlue4", AGL_VALRGBA2LONG(0, 104, 139, 255)}
	,
	{"SkyBlue1", AGL_VALRGBA2LONG(135, 206, 255, 255)}
	,
	{"SkyBlue2", AGL_VALRGBA2LONG(126, 192, 238, 255)}
	,
	{"SkyBlue3", AGL_VALRGBA2LONG(108, 166, 205, 255)}
	,
	{"SkyBlue4", AGL_VALRGBA2LONG(74, 112, 139, 255)}
	,
	{"LightSkyBlue1", AGL_VALRGBA2LONG(176, 226, 255, 255)}
	,
	{"LightSkyBlue2", AGL_VALRGBA2LONG(164, 211, 238, 255)}
	,
	{"LightSkyBlue3", AGL_VALRGBA2LONG(141, 182, 205, 255)}
	,
	{"LightSkyBlue4", AGL_VALRGBA2LONG(96, 123, 139, 255)}
	,
	{"SlateGray1", AGL_VALRGBA2LONG(198, 226, 255, 255)}
	,
	{"SlateGray2", AGL_VALRGBA2LONG(185, 211, 238, 255)}
	,
	{"SlateGray3", AGL_VALRGBA2LONG(159, 182, 205, 255)}
	,
	{"SlateGray4", AGL_VALRGBA2LONG(108, 123, 139, 255)}
	,
	{"LightSteelBlue1", AGL_VALRGBA2LONG(202, 225, 255, 255)}
	,
	{"LightSteelBlue2", AGL_VALRGBA2LONG(188, 210, 238, 255)}
	,
	{"LightSteelBlue3", AGL_VALRGBA2LONG(162, 181, 205, 255)}
	,
	{"LightSteelBlue4", AGL_VALRGBA2LONG(110, 123, 139, 255)}
	,
	{"LightBlue1", AGL_VALRGBA2LONG(191, 239, 255, 255)}
	,
	{"LightBlue2", AGL_VALRGBA2LONG(178, 223, 238, 255)}
	,
	{"LightBlue3", AGL_VALRGBA2LONG(154, 192, 205, 255)}
	,
	{"LightBlue4", AGL_VALRGBA2LONG(104, 131, 139, 255)}
	,
	{"LightCyan1", AGL_VALRGBA2LONG(224, 255, 255, 255)}
	,
	{"LightCyan2", AGL_VALRGBA2LONG(209, 238, 238, 255)}
	,
	{"LightCyan3", AGL_VALRGBA2LONG(180, 205, 205, 255)}
	,
	{"LightCyan4", AGL_VALRGBA2LONG(122, 139, 139, 255)}
	,
	{"PaleTurquoise1", AGL_VALRGBA2LONG(187, 255, 255, 255)}
	,
	{"PaleTurquoise2", AGL_VALRGBA2LONG(174, 238, 238, 255)}
	,
	{"PaleTurquoise3", AGL_VALRGBA2LONG(150, 205, 205, 255)}
	,
	{"PaleTurquoise4", AGL_VALRGBA2LONG(102, 139, 139, 255)}
	,
	{"CadetBlue1", AGL_VALRGBA2LONG(152, 245, 255, 255)}
	,
	{"CadetBlue2", AGL_VALRGBA2LONG(142, 229, 238, 255)}
	,
	{"CadetBlue3", AGL_VALRGBA2LONG(122, 197, 205, 255)}
	,
	{"CadetBlue4", AGL_VALRGBA2LONG(83, 134, 139, 255)}
	,
	{"turquoise1", AGL_VALRGBA2LONG(0, 245, 255, 255)}
	,
	{"turquoise2", AGL_VALRGBA2LONG(0, 229, 238, 255)}
	,
	{"turquoise3", AGL_VALRGBA2LONG(0, 197, 205, 255)}
	,
	{"turquoise4", AGL_VALRGBA2LONG(0, 134, 139, 255)}
	,
	{"cyan1", AGL_VALRGBA2LONG(0, 255, 255, 255)}
	,
	{"cyan2", AGL_VALRGBA2LONG(0, 238, 238, 255)}
	,
	{"cyan3", AGL_VALRGBA2LONG(0, 205, 205, 255)}
	,
	{"cyan4", AGL_VALRGBA2LONG(0, 139, 139, 255)}
	,
	{"DarkSlateGray1", AGL_VALRGBA2LONG(151, 255, 255, 255)}
	,
	{"DarkSlateGray2", AGL_VALRGBA2LONG(141, 238, 238, 255)}
	,
	{"DarkSlateGray3", AGL_VALRGBA2LONG(121, 205, 205, 255)}
	,
	{"DarkSlateGray4", AGL_VALRGBA2LONG(82, 139, 139, 255)}
	,
	{"aquamarine1", AGL_VALRGBA2LONG(127, 255, 212, 255)}
	,
	{"aquamarine2", AGL_VALRGBA2LONG(118, 238, 198, 255)}
	,
	{"aquamarine3", AGL_VALRGBA2LONG(102, 205, 170, 255)}
	,
	{"aquamarine4", AGL_VALRGBA2LONG(69, 139, 116, 255)}
	,
	{"DarkSeaGreen1", AGL_VALRGBA2LONG(193, 255, 193, 255)}
	,
	{"DarkSeaGreen2", AGL_VALRGBA2LONG(180, 238, 180, 255)}
	,
	{"DarkSeaGreen3", AGL_VALRGBA2LONG(155, 205, 155, 255)}
	,
	{"DarkSeaGreen4", AGL_VALRGBA2LONG(105, 139, 105, 255)}
	,
	{"SeaGreen1", AGL_VALRGBA2LONG(84, 255, 159, 255)}
	,
	{"SeaGreen2", AGL_VALRGBA2LONG(78, 238, 148, 255)}
	,
	{"SeaGreen3", AGL_VALRGBA2LONG(67, 205, 128, 255)}
	,
	{"SeaGreen4", AGL_VALRGBA2LONG(46, 139, 87, 255)}
	,
	{"PaleGreen1", AGL_VALRGBA2LONG(154, 255, 154, 255)}
	,
	{"PaleGreen2", AGL_VALRGBA2LONG(144, 238, 144, 255)}
	,
	{"PaleGreen3", AGL_VALRGBA2LONG(124, 205, 124, 255)}
	,
	{"PaleGreen4", AGL_VALRGBA2LONG(84, 139, 84, 255)}
	,
	{"SpringGreen1", AGL_VALRGBA2LONG(0, 255, 127, 255)}
	,
	{"SpringGreen2", AGL_VALRGBA2LONG(0, 238, 118, 255)}
	,
	{"SpringGreen3", AGL_VALRGBA2LONG(0, 205, 102, 255)}
	,
	{"SpringGreen4", AGL_VALRGBA2LONG(0, 139, 69, 255)}
	,
	{"green1", AGL_VALRGBA2LONG(0, 255, 0, 255)}
	,
	{"green2", AGL_VALRGBA2LONG(0, 238, 0, 255)}
	,
	{"green3", AGL_VALRGBA2LONG(0, 205, 0, 255)}
	,
	{"green4", AGL_VALRGBA2LONG(0, 139, 0, 255)}
	,
	{"chartreuse1", AGL_VALRGBA2LONG(127, 255, 0, 255)}
	,
	{"chartreuse2", AGL_VALRGBA2LONG(118, 238, 0, 255)}
	,
	{"chartreuse3", AGL_VALRGBA2LONG(102, 205, 0, 255)}
	,
	{"chartreuse4", AGL_VALRGBA2LONG(69, 139, 0, 255)}
	,
	{"OliveDrab1", AGL_VALRGBA2LONG(192, 255, 62, 255)}
	,
	{"OliveDrab2", AGL_VALRGBA2LONG(179, 238, 58, 255)}
	,
	{"OliveDrab3", AGL_VALRGBA2LONG(154, 205, 50, 255)}
	,
	{"OliveDrab4", AGL_VALRGBA2LONG(105, 139, 34, 255)}
	,
	{"DarkOliveGreen1", AGL_VALRGBA2LONG(202, 255, 112, 255)}
	,
	{"DarkOliveGreen2", AGL_VALRGBA2LONG(188, 238, 104, 255)}
	,
	{"DarkOliveGreen3", AGL_VALRGBA2LONG(162, 205, 90, 255)}
	,
	{"DarkOliveGreen4", AGL_VALRGBA2LONG(110, 139, 61, 255)}
	,
	{"khaki1", AGL_VALRGBA2LONG(255, 246, 143, 255)}
	,
	{"khaki2", AGL_VALRGBA2LONG(238, 230, 133, 255)}
	,
	{"khaki3", AGL_VALRGBA2LONG(205, 198, 115, 255)}
	,
	{"khaki4", AGL_VALRGBA2LONG(139, 134, 78, 255)}
	,
	{"LightGoldenrod1", AGL_VALRGBA2LONG(255, 236, 139, 255)}
	,
	{"LightGoldenrod2", AGL_VALRGBA2LONG(238, 220, 130, 255)}
	,
	{"LightGoldenrod3", AGL_VALRGBA2LONG(205, 190, 112, 255)}
	,
	{"LightGoldenrod4", AGL_VALRGBA2LONG(139, 129, 76, 255)}
	,
	{"LightYellow1", AGL_VALRGBA2LONG(255, 255, 224, 255)}
	,
	{"LightYellow2", AGL_VALRGBA2LONG(238, 238, 209, 255)}
	,
	{"LightYellow3", AGL_VALRGBA2LONG(205, 205, 180, 255)}
	,
	{"LightYellow4", AGL_VALRGBA2LONG(139, 139, 122, 255)}
	,
	{"yellow1", AGL_VALRGBA2LONG(255, 255, 0, 255)}
	,
	{"yellow2", AGL_VALRGBA2LONG(238, 238, 0, 255)}
	,
	{"yellow3", AGL_VALRGBA2LONG(205, 205, 0, 255)}
	,
	{"yellow4", AGL_VALRGBA2LONG(139, 139, 0, 255)}
	,
	{"gold1", AGL_VALRGBA2LONG(255, 215, 0, 255)}
	,
	{"gold2", AGL_VALRGBA2LONG(238, 201, 0, 255)}
	,
	{"gold3", AGL_VALRGBA2LONG(205, 173, 0, 255)}
	,
	{"gold4", AGL_VALRGBA2LONG(139, 117, 0, 255)}
	,
	{"goldenrod1", AGL_VALRGBA2LONG(255, 193, 37, 255)}
	,
	{"goldenrod2", AGL_VALRGBA2LONG(238, 180, 34, 255)}
	,
	{"goldenrod3", AGL_VALRGBA2LONG(205, 155, 29, 255)}
	,
	{"goldenrod4", AGL_VALRGBA2LONG(139, 105, 20, 255)}
	,
	{"DarkGoldenrod1", AGL_VALRGBA2LONG(255, 185, 15, 255)}
	,
	{"DarkGoldenrod2", AGL_VALRGBA2LONG(238, 173, 14, 255)}
	,
	{"DarkGoldenrod3", AGL_VALRGBA2LONG(205, 149, 12, 255)}
	,
	{"DarkGoldenrod4", AGL_VALRGBA2LONG(139, 101, 8, 255)}
	,
	{"RosyBrown1", AGL_VALRGBA2LONG(255, 193, 193, 255)}
	,
	{"RosyBrown2", AGL_VALRGBA2LONG(238, 180, 180, 255)}
	,
	{"RosyBrown3", AGL_VALRGBA2LONG(205, 155, 155, 255)}
	,
	{"RosyBrown4", AGL_VALRGBA2LONG(139, 105, 105, 255)}
	,
	{"IndianRed1", AGL_VALRGBA2LONG(255, 106, 106, 255)}
	,
	{"IndianRed2", AGL_VALRGBA2LONG(238, 99, 99, 255)}
	,
	{"IndianRed3", AGL_VALRGBA2LONG(205, 85, 85, 255)}
	,
	{"IndianRed4", AGL_VALRGBA2LONG(139, 58, 58, 255)}
	,
	{"sienna1", AGL_VALRGBA2LONG(255, 130, 71, 255)}
	,
	{"sienna2", AGL_VALRGBA2LONG(238, 121, 66, 255)}
	,
	{"sienna3", AGL_VALRGBA2LONG(205, 104, 57, 255)}
	,
	{"sienna4", AGL_VALRGBA2LONG(139, 71, 38, 255)}
	,
	{"burlywood1", AGL_VALRGBA2LONG(255, 211, 155, 255)}
	,
	{"burlywood2", AGL_VALRGBA2LONG(238, 197, 145, 255)}
	,
	{"burlywood3", AGL_VALRGBA2LONG(205, 170, 125, 255)}
	,
	{"burlywood4", AGL_VALRGBA2LONG(139, 115, 85, 255)}
	,
	{"wheat1", AGL_VALRGBA2LONG(255, 231, 186, 255)}
	,
	{"wheat2", AGL_VALRGBA2LONG(238, 216, 174, 255)}
	,
	{"wheat3", AGL_VALRGBA2LONG(205, 186, 150, 255)}
	,
	{"wheat4", AGL_VALRGBA2LONG(139, 126, 102, 255)}
	,
	{"tan1", AGL_VALRGBA2LONG(255, 165, 79, 255)}
	,
	{"tan2", AGL_VALRGBA2LONG(238, 154, 73, 255)}
	,
	{"tan3", AGL_VALRGBA2LONG(205, 133, 63, 255)}
	,
	{"tan4", AGL_VALRGBA2LONG(139, 90, 43, 255)}
	,
	{"chocolate1", AGL_VALRGBA2LONG(255, 127, 36, 255)}
	,
	{"chocolate2", AGL_VALRGBA2LONG(238, 118, 33, 255)}
	,
	{"chocolate3", AGL_VALRGBA2LONG(205, 102, 29, 255)}
	,
	{"chocolate4", AGL_VALRGBA2LONG(139, 69, 19, 255)}
	,
	{"firebrick1", AGL_VALRGBA2LONG(255, 48, 48, 255)}
	,
	{"firebrick2", AGL_VALRGBA2LONG(238, 44, 44, 255)}
	,
	{"firebrick3", AGL_VALRGBA2LONG(205, 38, 38, 255)}
	,
	{"firebrick4", AGL_VALRGBA2LONG(139, 26, 26, 255)}
	,
	{"brown1", AGL_VALRGBA2LONG(255, 64, 64, 255)}
	,
	{"brown2", AGL_VALRGBA2LONG(238, 59, 59, 255)}
	,
	{"brown3", AGL_VALRGBA2LONG(205, 51, 51, 255)}
	,
	{"brown4", AGL_VALRGBA2LONG(139, 35, 35, 255)}
	,
	{"salmon1", AGL_VALRGBA2LONG(255, 140, 105, 255)}
	,
	{"salmon2", AGL_VALRGBA2LONG(238, 130, 98, 255)}
	,
	{"salmon3", AGL_VALRGBA2LONG(205, 112, 84, 255)}
	,
	{"salmon4", AGL_VALRGBA2LONG(139, 76, 57, 255)}
	,
	{"LightSalmon1", AGL_VALRGBA2LONG(255, 160, 122, 255)}
	,
	{"LightSalmon2", AGL_VALRGBA2LONG(238, 149, 114, 255)}
	,
	{"LightSalmon3", AGL_VALRGBA2LONG(205, 129, 98, 255)}
	,
	{"LightSalmon4", AGL_VALRGBA2LONG(139, 87, 66, 255)}
	,
	{"orange1", AGL_VALRGBA2LONG(255, 165, 0, 255)}
	,
	{"orange2", AGL_VALRGBA2LONG(238, 154, 0, 255)}
	,
	{"orange3", AGL_VALRGBA2LONG(205, 133, 0, 255)}
	,
	{"orange4", AGL_VALRGBA2LONG(139, 90, 0, 255)}
	,
	{"DarkOrange1", AGL_VALRGBA2LONG(255, 127, 0, 255)}
	,
	{"DarkOrange2", AGL_VALRGBA2LONG(238, 118, 0, 255)}
	,
	{"DarkOrange3", AGL_VALRGBA2LONG(205, 102, 0, 255)}
	,
	{"DarkOrange4", AGL_VALRGBA2LONG(139, 69, 0, 255)}
	,
	{"coral1", AGL_VALRGBA2LONG(255, 114, 86, 255)}
	,
	{"coral2", AGL_VALRGBA2LONG(238, 106, 80, 255)}
	,
	{"coral3", AGL_VALRGBA2LONG(205, 91, 69, 255)}
	,
	{"coral4", AGL_VALRGBA2LONG(139, 62, 47, 255)}
	,
	{"tomato1", AGL_VALRGBA2LONG(255, 99, 71, 255)}
	,
	{"tomato2", AGL_VALRGBA2LONG(238, 92, 66, 255)}
	,
	{"tomato3", AGL_VALRGBA2LONG(205, 79, 57, 255)}
	,
	{"tomato4", AGL_VALRGBA2LONG(139, 54, 38, 255)}
	,
	{"OrangeRed1", AGL_VALRGBA2LONG(255, 69, 0, 255)}
	,
	{"OrangeRed2", AGL_VALRGBA2LONG(238, 64, 0, 255)}
	,
	{"OrangeRed3", AGL_VALRGBA2LONG(205, 55, 0, 255)}
	,
	{"OrangeRed4", AGL_VALRGBA2LONG(139, 37, 0, 255)}
	,
	{"red1", AGL_VALRGBA2LONG(255, 0, 0, 255)}
	,
	{"red2", AGL_VALRGBA2LONG(238, 0, 0, 255)}
	,
	{"red3", AGL_VALRGBA2LONG(205, 0, 0, 255)}
	,
	{"red4", AGL_VALRGBA2LONG(139, 0, 0, 255)}
	,
	{"DeepPink1", AGL_VALRGBA2LONG(255, 20, 147, 255)}
	,
	{"DeepPink2", AGL_VALRGBA2LONG(238, 18, 137, 255)}
	,
	{"DeepPink3", AGL_VALRGBA2LONG(205, 16, 118, 255)}
	,
	{"DeepPink4", AGL_VALRGBA2LONG(139, 10, 80, 255)}
	,
	{"HotPink1", AGL_VALRGBA2LONG(255, 110, 180, 255)}
	,
	{"HotPink2", AGL_VALRGBA2LONG(238, 106, 167, 255)}
	,
	{"HotPink3", AGL_VALRGBA2LONG(205, 96, 144, 255)}
	,
	{"HotPink4", AGL_VALRGBA2LONG(139, 58, 98, 255)}
	,
	{"pink1", AGL_VALRGBA2LONG(255, 181, 197, 255)}
	,
	{"pink2", AGL_VALRGBA2LONG(238, 169, 184, 255)}
	,
	{"pink3", AGL_VALRGBA2LONG(205, 145, 158, 255)}
	,
	{"pink4", AGL_VALRGBA2LONG(139, 99, 108, 255)}
	,
	{"LightPink1", AGL_VALRGBA2LONG(255, 174, 185, 255)}
	,
	{"LightPink2", AGL_VALRGBA2LONG(238, 162, 173, 255)}
	,
	{"LightPink3", AGL_VALRGBA2LONG(205, 140, 149, 255)}
	,
	{"LightPink4", AGL_VALRGBA2LONG(139, 95, 101, 255)}
	,
	{"PaleVioletRed1", AGL_VALRGBA2LONG(255, 130, 171, 255)}
	,
	{"PaleVioletRed2", AGL_VALRGBA2LONG(238, 121, 159, 255)}
	,
	{"PaleVioletRed3", AGL_VALRGBA2LONG(205, 104, 137, 255)}
	,
	{"PaleVioletRed4", AGL_VALRGBA2LONG(139, 71, 93, 255)}
	,
	{"maroon1", AGL_VALRGBA2LONG(255, 52, 179, 255)}
	,
	{"maroon2", AGL_VALRGBA2LONG(238, 48, 167, 255)}
	,
	{"maroon3", AGL_VALRGBA2LONG(205, 41, 144, 255)}
	,
	{"maroon4", AGL_VALRGBA2LONG(139, 28, 98, 255)}
	,
	{"VioletRed1", AGL_VALRGBA2LONG(255, 62, 150, 255)}
	,
	{"VioletRed2", AGL_VALRGBA2LONG(238, 58, 140, 255)}
	,
	{"VioletRed3", AGL_VALRGBA2LONG(205, 50, 120, 255)}
	,
	{"VioletRed4", AGL_VALRGBA2LONG(139, 34, 82, 255)}
	,
	{"magenta1", AGL_VALRGBA2LONG(255, 0, 255, 255)}
	,
	{"magenta2", AGL_VALRGBA2LONG(238, 0, 238, 255)}
	,
	{"magenta3", AGL_VALRGBA2LONG(205, 0, 205, 255)}
	,
	{"magenta4", AGL_VALRGBA2LONG(139, 0, 139, 255)}
	,
	{"orchid1", AGL_VALRGBA2LONG(255, 131, 250, 255)}
	,
	{"orchid2", AGL_VALRGBA2LONG(238, 122, 233, 255)}
	,
	{"orchid3", AGL_VALRGBA2LONG(205, 105, 201, 255)}
	,
	{"orchid4", AGL_VALRGBA2LONG(139, 71, 137, 255)}
	,
	{"plum1", AGL_VALRGBA2LONG(255, 187, 255, 255)}
	,
	{"plum2", AGL_VALRGBA2LONG(238, 174, 238, 255)}
	,
	{"plum3", AGL_VALRGBA2LONG(205, 150, 205, 255)}
	,
	{"plum4", AGL_VALRGBA2LONG(139, 102, 139, 255)}
	,
	{"MediumOrchid1", AGL_VALRGBA2LONG(224, 102, 255, 255)}
	,
	{"MediumOrchid2", AGL_VALRGBA2LONG(209, 95, 238, 255)}
	,
	{"MediumOrchid3", AGL_VALRGBA2LONG(180, 82, 205, 255)}
	,
	{"MediumOrchid4", AGL_VALRGBA2LONG(122, 55, 139, 255)}
	,
	{"DarkOrchid1", AGL_VALRGBA2LONG(191, 62, 255, 255)}
	,
	{"DarkOrchid2", AGL_VALRGBA2LONG(178, 58, 238, 255)}
	,
	{"DarkOrchid3", AGL_VALRGBA2LONG(154, 50, 205, 255)}
	,
	{"DarkOrchid4", AGL_VALRGBA2LONG(104, 34, 139, 255)}
	,
	{"purple1", AGL_VALRGBA2LONG(155, 48, 255, 255)}
	,
	{"purple2", AGL_VALRGBA2LONG(145, 44, 238, 255)}
	,
	{"purple3", AGL_VALRGBA2LONG(125, 38, 205, 255)}
	,
	{"purple4", AGL_VALRGBA2LONG(85, 26, 139, 255)}
	,
	{"MediumPurple1", AGL_VALRGBA2LONG(171, 130, 255, 255)}
	,
	{"MediumPurple2", AGL_VALRGBA2LONG(159, 121, 238, 255)}
	,
	{"MediumPurple3", AGL_VALRGBA2LONG(137, 104, 205, 255)}
	,
	{"MediumPurple4", AGL_VALRGBA2LONG(93, 71, 139, 255)}
	,
	{"thistle1", AGL_VALRGBA2LONG(255, 225, 255, 255)}
	,
	{"thistle2", AGL_VALRGBA2LONG(238, 210, 238, 255)}
	,
	{"thistle3", AGL_VALRGBA2LONG(205, 181, 205, 255)}
	,
	{"thistle4", AGL_VALRGBA2LONG(139, 123, 139, 255)}
	,
	{"gray0", AGL_VALRGBA2LONG(0, 0, 0, 255)}
	,
	{"grey0", AGL_VALRGBA2LONG(0, 0, 0, 255)}
	,
	{"gray1", AGL_VALRGBA2LONG(3, 3, 3, 255)}
	,
	{"grey1", AGL_VALRGBA2LONG(3, 3, 3, 255)}
	,
	{"gray2", AGL_VALRGBA2LONG(5, 5, 5, 255)}
	,
	{"grey2", AGL_VALRGBA2LONG(5, 5, 5, 255)}
	,
	{"gray3", AGL_VALRGBA2LONG(8, 8, 8, 255)}
	,
	{"grey3", AGL_VALRGBA2LONG(8, 8, 8, 255)}
	,
	{"gray4", AGL_VALRGBA2LONG(10, 10, 10, 255)}
	,
	{"grey4", AGL_VALRGBA2LONG(10, 10, 10, 255)}
	,
	{"gray5", AGL_VALRGBA2LONG(13, 13, 13, 255)}
	,
	{"grey5", AGL_VALRGBA2LONG(13, 13, 13, 255)}
	,
	{"gray6", AGL_VALRGBA2LONG(15, 15, 15, 255)}
	,
	{"grey6", AGL_VALRGBA2LONG(15, 15, 15, 255)}
	,
	{"gray7", AGL_VALRGBA2LONG(18, 18, 18, 255)}
	,
	{"grey7", AGL_VALRGBA2LONG(18, 18, 18, 255)}
	,
	{"gray8", AGL_VALRGBA2LONG(20, 20, 20, 255)}
	,
	{"grey8", AGL_VALRGBA2LONG(20, 20, 20, 255)}
	,
	{"gray9", AGL_VALRGBA2LONG(23, 23, 23, 255)}
	,
	{"grey9", AGL_VALRGBA2LONG(23, 23, 23, 255)}
	,
	{"gray10", AGL_VALRGBA2LONG(26, 26, 26, 255)}
	,
	{"grey10", AGL_VALRGBA2LONG(26, 26, 26, 255)}
	,
	{"gray11", AGL_VALRGBA2LONG(28, 28, 28, 255)}
	,
	{"grey11", AGL_VALRGBA2LONG(28, 28, 28, 255)}
	,
	{"gray12", AGL_VALRGBA2LONG(31, 31, 31, 255)}
	,
	{"grey12", AGL_VALRGBA2LONG(31, 31, 31, 255)}
	,
	{"gray13", AGL_VALRGBA2LONG(33, 33, 33, 255)}
	,
	{"grey13", AGL_VALRGBA2LONG(33, 33, 33, 255)}
	,
	{"gray14", AGL_VALRGBA2LONG(36, 36, 36, 255)}
	,
	{"grey14", AGL_VALRGBA2LONG(36, 36, 36, 255)}
	,
	{"gray15", AGL_VALRGBA2LONG(38, 38, 38, 255)}
	,
	{"grey15", AGL_VALRGBA2LONG(38, 38, 38, 255)}
	,
	{"gray16", AGL_VALRGBA2LONG(41, 41, 41, 255)}
	,
	{"grey16", AGL_VALRGBA2LONG(41, 41, 41, 255)}
	,
	{"gray17", AGL_VALRGBA2LONG(43, 43, 43, 255)}
	,
	{"grey17", AGL_VALRGBA2LONG(43, 43, 43, 255)}
	,
	{"gray18", AGL_VALRGBA2LONG(46, 46, 46, 255)}
	,
	{"grey18", AGL_VALRGBA2LONG(46, 46, 46, 255)}
	,
	{"gray19", AGL_VALRGBA2LONG(48, 48, 48, 255)}
	,
	{"grey19", AGL_VALRGBA2LONG(48, 48, 48, 255)}
	,
	{"gray20", AGL_VALRGBA2LONG(51, 51, 51, 255)}
	,
	{"grey20", AGL_VALRGBA2LONG(51, 51, 51, 255)}
	,
	{"gray21", AGL_VALRGBA2LONG(54, 54, 54, 255)}
	,
	{"grey21", AGL_VALRGBA2LONG(54, 54, 54, 255)}
	,
	{"gray22", AGL_VALRGBA2LONG(56, 56, 56, 255)}
	,
	{"grey22", AGL_VALRGBA2LONG(56, 56, 56, 255)}
	,
	{"gray23", AGL_VALRGBA2LONG(59, 59, 59, 255)}
	,
	{"grey23", AGL_VALRGBA2LONG(59, 59, 59, 255)}
	,
	{"gray24", AGL_VALRGBA2LONG(61, 61, 61, 255)}
	,
	{"grey24", AGL_VALRGBA2LONG(61, 61, 61, 255)}
	,
	{"gray25", AGL_VALRGBA2LONG(64, 64, 64, 255)}
	,
	{"grey25", AGL_VALRGBA2LONG(64, 64, 64, 255)}
	,
	{"gray26", AGL_VALRGBA2LONG(66, 66, 66, 255)}
	,
	{"grey26", AGL_VALRGBA2LONG(66, 66, 66, 255)}
	,
	{"gray27", AGL_VALRGBA2LONG(69, 69, 69, 255)}
	,
	{"grey27", AGL_VALRGBA2LONG(69, 69, 69, 255)}
	,
	{"gray28", AGL_VALRGBA2LONG(71, 71, 71, 255)}
	,
	{"grey28", AGL_VALRGBA2LONG(71, 71, 71, 255)}
	,
	{"gray29", AGL_VALRGBA2LONG(74, 74, 74, 255)}
	,
	{"grey29", AGL_VALRGBA2LONG(74, 74, 74, 255)}
	,
	{"gray30", AGL_VALRGBA2LONG(77, 77, 77, 255)}
	,
	{"grey30", AGL_VALRGBA2LONG(77, 77, 77, 255)}
	,
	{"gray31", AGL_VALRGBA2LONG(79, 79, 79, 255)}
	,
	{"grey31", AGL_VALRGBA2LONG(79, 79, 79, 255)}
	,
	{"gray32", AGL_VALRGBA2LONG(82, 82, 82, 255)}
	,
	{"grey32", AGL_VALRGBA2LONG(82, 82, 82, 255)}
	,
	{"gray33", AGL_VALRGBA2LONG(84, 84, 84, 255)}
	,
	{"grey33", AGL_VALRGBA2LONG(84, 84, 84, 255)}
	,
	{"gray34", AGL_VALRGBA2LONG(87, 87, 87, 255)}
	,
	{"grey34", AGL_VALRGBA2LONG(87, 87, 87, 255)}
	,
	{"gray35", AGL_VALRGBA2LONG(89, 89, 89, 255)}
	,
	{"grey35", AGL_VALRGBA2LONG(89, 89, 89, 255)}
	,
	{"gray36", AGL_VALRGBA2LONG(92, 92, 92, 255)}
	,
	{"grey36", AGL_VALRGBA2LONG(92, 92, 92, 255)}
	,
	{"gray37", AGL_VALRGBA2LONG(94, 94, 94, 255)}
	,
	{"grey37", AGL_VALRGBA2LONG(94, 94, 94, 255)}
	,
	{"gray38", AGL_VALRGBA2LONG(97, 97, 97, 255)}
	,
	{"grey38", AGL_VALRGBA2LONG(97, 97, 97, 255)}
	,
	{"gray39", AGL_VALRGBA2LONG(99, 99, 99, 255)}
	,
	{"grey39", AGL_VALRGBA2LONG(99, 99, 99, 255)}
	,
	{"gray40", AGL_VALRGBA2LONG(102, 102, 102, 255)}
	,
	{"grey40", AGL_VALRGBA2LONG(102, 102, 102, 255)}
	,
	{"gray41", AGL_VALRGBA2LONG(105, 105, 105, 255)}
	,
	{"grey41", AGL_VALRGBA2LONG(105, 105, 105, 255)}
	,
	{"gray42", AGL_VALRGBA2LONG(107, 107, 107, 255)}
	,
	{"grey42", AGL_VALRGBA2LONG(107, 107, 107, 255)}
	,
	{"gray43", AGL_VALRGBA2LONG(110, 110, 110, 255)}
	,
	{"grey43", AGL_VALRGBA2LONG(110, 110, 110, 255)}
	,
	{"gray44", AGL_VALRGBA2LONG(112, 112, 112, 255)}
	,
	{"grey44", AGL_VALRGBA2LONG(112, 112, 112, 255)}
	,
	{"gray45", AGL_VALRGBA2LONG(115, 115, 115, 255)}
	,
	{"grey45", AGL_VALRGBA2LONG(115, 115, 115, 255)}
	,
	{"gray46", AGL_VALRGBA2LONG(117, 117, 117, 255)}
	,
	{"grey46", AGL_VALRGBA2LONG(117, 117, 117, 255)}
	,
	{"gray47", AGL_VALRGBA2LONG(120, 120, 120, 255)}
	,
	{"grey47", AGL_VALRGBA2LONG(120, 120, 120, 255)}
	,
	{"gray48", AGL_VALRGBA2LONG(122, 122, 122, 255)}
	,
	{"grey48", AGL_VALRGBA2LONG(122, 122, 122, 255)}
	,
	{"gray49", AGL_VALRGBA2LONG(125, 125, 125, 255)}
	,
	{"grey49", AGL_VALRGBA2LONG(125, 125, 125, 255)}
	,
	{"gray50", AGL_VALRGBA2LONG(127, 127, 127, 255)}
	,
	{"grey50", AGL_VALRGBA2LONG(127, 127, 127, 255)}
	,
	{"gray51", AGL_VALRGBA2LONG(130, 130, 130, 255)}
	,
	{"grey51", AGL_VALRGBA2LONG(130, 130, 130, 255)}
	,
	{"gray52", AGL_VALRGBA2LONG(133, 133, 133, 255)}
	,
	{"grey52", AGL_VALRGBA2LONG(133, 133, 133, 255)}
	,
	{"gray53", AGL_VALRGBA2LONG(135, 135, 135, 255)}
	,
	{"grey53", AGL_VALRGBA2LONG(135, 135, 135, 255)}
	,
	{"gray54", AGL_VALRGBA2LONG(138, 138, 138, 255)}
	,
	{"grey54", AGL_VALRGBA2LONG(138, 138, 138, 255)}
	,
	{"gray55", AGL_VALRGBA2LONG(140, 140, 140, 255)}
	,
	{"grey55", AGL_VALRGBA2LONG(140, 140, 140, 255)}
	,
	{"gray56", AGL_VALRGBA2LONG(143, 143, 143, 255)}
	,
	{"grey56", AGL_VALRGBA2LONG(143, 143, 143, 255)}
	,
	{"gray57", AGL_VALRGBA2LONG(145, 145, 145, 255)}
	,
	{"grey57", AGL_VALRGBA2LONG(145, 145, 145, 255)}
	,
	{"gray58", AGL_VALRGBA2LONG(148, 148, 148, 255)}
	,
	{"grey58", AGL_VALRGBA2LONG(148, 148, 148, 255)}
	,
	{"gray59", AGL_VALRGBA2LONG(150, 150, 150, 255)}
	,
	{"grey59", AGL_VALRGBA2LONG(150, 150, 150, 255)}
	,
	{"gray60", AGL_VALRGBA2LONG(153, 153, 153, 255)}
	,
	{"grey60", AGL_VALRGBA2LONG(153, 153, 153, 255)}
	,
	{"gray61", AGL_VALRGBA2LONG(156, 156, 156, 255)}
	,
	{"grey61", AGL_VALRGBA2LONG(156, 156, 156, 255)}
	,
	{"gray62", AGL_VALRGBA2LONG(158, 158, 158, 255)}
	,
	{"grey62", AGL_VALRGBA2LONG(158, 158, 158, 255)}
	,
	{"gray63", AGL_VALRGBA2LONG(161, 161, 161, 255)}
	,
	{"grey63", AGL_VALRGBA2LONG(161, 161, 161, 255)}
	,
	{"gray64", AGL_VALRGBA2LONG(163, 163, 163, 255)}
	,
	{"grey64", AGL_VALRGBA2LONG(163, 163, 163, 255)}
	,
	{"gray65", AGL_VALRGBA2LONG(166, 166, 166, 255)}
	,
	{"grey65", AGL_VALRGBA2LONG(166, 166, 166, 255)}
	,
	{"gray66", AGL_VALRGBA2LONG(168, 168, 168, 255)}
	,
	{"grey66", AGL_VALRGBA2LONG(168, 168, 168, 255)}
	,
	{"gray67", AGL_VALRGBA2LONG(171, 171, 171, 255)}
	,
	{"grey67", AGL_VALRGBA2LONG(171, 171, 171, 255)}
	,
	{"gray68", AGL_VALRGBA2LONG(173, 173, 173, 255)}
	,
	{"grey68", AGL_VALRGBA2LONG(173, 173, 173, 255)}
	,
	{"gray69", AGL_VALRGBA2LONG(176, 176, 176, 255)}
	,
	{"grey69", AGL_VALRGBA2LONG(176, 176, 176, 255)}
	,
	{"gray70", AGL_VALRGBA2LONG(179, 179, 179, 255)}
	,
	{"grey70", AGL_VALRGBA2LONG(179, 179, 179, 255)}
	,
	{"gray71", AGL_VALRGBA2LONG(181, 181, 181, 255)}
	,
	{"grey71", AGL_VALRGBA2LONG(181, 181, 181, 255)}
	,
	{"gray72", AGL_VALRGBA2LONG(184, 184, 184, 255)}
	,
	{"grey72", AGL_VALRGBA2LONG(184, 184, 184, 255)}
	,
	{"gray73", AGL_VALRGBA2LONG(186, 186, 186, 255)}
	,
	{"grey73", AGL_VALRGBA2LONG(186, 186, 186, 255)}
	,
	{"gray74", AGL_VALRGBA2LONG(189, 189, 189, 255)}
	,
	{"grey74", AGL_VALRGBA2LONG(189, 189, 189, 255)}
	,
	{"gray75", AGL_VALRGBA2LONG(191, 191, 191, 255)}
	,
	{"grey75", AGL_VALRGBA2LONG(191, 191, 191, 255)}
	,
	{"gray76", AGL_VALRGBA2LONG(194, 194, 194, 255)}
	,
	{"grey76", AGL_VALRGBA2LONG(194, 194, 194, 255)}
	,
	{"gray77", AGL_VALRGBA2LONG(196, 196, 196, 255)}
	,
	{"grey77", AGL_VALRGBA2LONG(196, 196, 196, 255)}
	,
	{"gray78", AGL_VALRGBA2LONG(199, 199, 199, 255)}
	,
	{"grey78", AGL_VALRGBA2LONG(199, 199, 199, 255)}
	,
	{"gray79", AGL_VALRGBA2LONG(201, 201, 201, 255)}
	,
	{"grey79", AGL_VALRGBA2LONG(201, 201, 201, 255)}
	,
	{"gray80", AGL_VALRGBA2LONG(204, 204, 204, 255)}
	,
	{"grey80", AGL_VALRGBA2LONG(204, 204, 204, 255)}
	,
	{"gray81", AGL_VALRGBA2LONG(207, 207, 207, 255)}
	,
	{"grey81", AGL_VALRGBA2LONG(207, 207, 207, 255)}
	,
	{"gray82", AGL_VALRGBA2LONG(209, 209, 209, 255)}
	,
	{"grey82", AGL_VALRGBA2LONG(209, 209, 209, 255)}
	,
	{"gray83", AGL_VALRGBA2LONG(212, 212, 212, 255)}
	,
	{"grey83", AGL_VALRGBA2LONG(212, 212, 212, 255)}
	,
	{"gray84", AGL_VALRGBA2LONG(214, 214, 214, 255)}
	,
	{"grey84", AGL_VALRGBA2LONG(214, 214, 214, 255)}
	,
	{"gray85", AGL_VALRGBA2LONG(217, 217, 217, 255)}
	,
	{"grey85", AGL_VALRGBA2LONG(217, 217, 217, 255)}
	,
	{"gray86", AGL_VALRGBA2LONG(219, 219, 219, 255)}
	,
	{"grey86", AGL_VALRGBA2LONG(219, 219, 219, 255)}
	,
	{"gray87", AGL_VALRGBA2LONG(222, 222, 222, 255)}
	,
	{"grey87", AGL_VALRGBA2LONG(222, 222, 222, 255)}
	,
	{"gray88", AGL_VALRGBA2LONG(224, 224, 224, 255)}
	,
	{"grey88", AGL_VALRGBA2LONG(224, 224, 224, 255)}
	,
	{"gray89", AGL_VALRGBA2LONG(227, 227, 227, 255)}
	,
	{"grey89", AGL_VALRGBA2LONG(227, 227, 227, 255)}
	,
	{"gray90", AGL_VALRGBA2LONG(229, 229, 229, 255)}
	,
	{"grey90", AGL_VALRGBA2LONG(229, 229, 229, 255)}
	,
	{"gray91", AGL_VALRGBA2LONG(232, 232, 232, 255)}
	,
	{"grey91", AGL_VALRGBA2LONG(232, 232, 232, 255)}
	,
	{"gray92", AGL_VALRGBA2LONG(235, 235, 235, 255)}
	,
	{"grey92", AGL_VALRGBA2LONG(235, 235, 235, 255)}
	,
	{"gray93", AGL_VALRGBA2LONG(237, 237, 237, 255)}
	,
	{"grey93", AGL_VALRGBA2LONG(237, 237, 237, 255)}
	,
	{"gray94", AGL_VALRGBA2LONG(240, 240, 240, 255)}
	,
	{"grey94", AGL_VALRGBA2LONG(240, 240, 240, 255)}
	,
	{"gray95", AGL_VALRGBA2LONG(242, 242, 242, 255)}
	,
	{"grey95", AGL_VALRGBA2LONG(242, 242, 242, 255)}
	,
	{"gray96", AGL_VALRGBA2LONG(245, 245, 245, 255)}
	,
	{"grey96", AGL_VALRGBA2LONG(245, 245, 245, 255)}
	,
	{"gray97", AGL_VALRGBA2LONG(247, 247, 247, 255)}
	,
	{"grey97", AGL_VALRGBA2LONG(247, 247, 247, 255)}
	,
	{"gray98", AGL_VALRGBA2LONG(250, 250, 250, 255)}
	,
	{"grey98", AGL_VALRGBA2LONG(250, 250, 250, 255)}
	,
	{"gray99", AGL_VALRGBA2LONG(252, 252, 252, 255)}
	,
	{"grey99", AGL_VALRGBA2LONG(252, 252, 252, 255)}
	,
	{"gray100", AGL_VALRGBA2LONG(255, 255, 255, 255)}
	,
	{"grey100", AGL_VALRGBA2LONG(255, 255, 255, 255)}
	,
	{"dark grey", AGL_VALRGBA2LONG(169, 169, 169, 255)}
	,
	{"DarkGrey", AGL_VALRGBA2LONG(169, 169, 169, 255)}
	,
	{"dark gray", AGL_VALRGBA2LONG(169, 169, 169, 255)}
	,
	{"DarkGray", AGL_VALRGBA2LONG(169, 169, 169, 255)}
	,
	{"dark blue", AGL_VALRGBA2LONG(0, 0, 139, 255)}
	,
	{"DarkBlue", AGL_VALRGBA2LONG(0, 0, 139, 255)}
	,
	{"dark cyan", AGL_VALRGBA2LONG(0, 139, 139, 255)}
	,
	{"DarkCyan", AGL_VALRGBA2LONG(0, 139, 139, 255)}
	,
	{"dark magenta", AGL_VALRGBA2LONG(139, 0, 139, 255)}
	,
	{"DarkMagenta", AGL_VALRGBA2LONG(139, 0, 139, 255)}
	,
	{"dark red", AGL_VALRGBA2LONG(139, 0, 0, 255)}
	,
	{"DarkRed", AGL_VALRGBA2LONG(139, 0, 0, 255)}
	,
	{"light green", AGL_VALRGBA2LONG(144, 238, 144, 255)}
	,
	{"LightGreen", AGL_VALRGBA2LONG(144, 238, 144, 255)}
	,
	{NULL, 0}
};
